%global npm_name findup-sync
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.0.0
Release: %mkrel 6
Summary: Find the first file matching a given pattern in the current directory or the nearest ancestor directory
License: MIT
Group: Development/Other
URL: https://github.com/js-cli/node-findup-sync#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(detect-file)
Requires: npm(is-glob)
Requires: npm(micromatch)
Requires: npm(resolve-dir)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep is-glob ^4.0.

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%doc README.md



%changelog
* Thu May 07 2020 joequant <joequant> 2.0.0-6.mga8
+ Revision: 1581485
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 2.0.0-5.mga8
+ Revision: 1502705
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.0.0-4.mga7
+ Revision: 1280480
- Mageia 7 Mass Rebuild

* Thu May 03 2018 kekepower <kekepower> 2.0.0-3.mga7
+ Revision: 1225374
+ rebuild (emptylog)

* Thu May 03 2018 kekepower <kekepower> 2.0.0-2.mga7
+ Revision: 1225148
- Fix Requires
- Fix nodejs deps on is-glob

* Wed May 02 2018 kekepower <kekepower> 2.0.0-1.mga7
+ Revision: 1225018
- Update to version 2.0.0
- Change the whole spec file

* Mon May 16 2016 neoclust <neoclust> 0.3.0-2.mga6
+ Revision: 1016161
- New version 0.3.0

* Mon Feb 08 2016 umeabot <umeabot> 0.1.3-2.mga6
+ Revision: 950279
- Mageia 6 Mass Rebuild

* Mon Oct 27 2014 tv <tv> 0.1.3-1.mga5
+ Revision: 793654
- imported package nodejs-findup-sync

